<?php

/***************   Kevin 2008.02.10 ******************************/
/***************     网站设置 文档  *******************************/
/*** 本程序实现不用管PHP文件是怎么样的只读取数据库内定义的配置就可以! ****/
/************** 写后台需要注意修改添加配置时候要删除本文件所要的 *******/
/**************     ?_path变量内的文档地址就可以了    **************/

//--------------- 缓存路径分配 ------------------------------
$config_path = R_P.'data/cache/cache_config.php';
$dbConfig_path = R_P.'data/cache/cache_dbconfig.php';

//--------------- 基本网站全局变量配置 ------------------------------
if (file_exists($config_path)) 	require($config_path);
else {
	$sql = "SELECT * FROM ".$db_tablepre."config";
	$web_config = sql_return($sql);
	$arr_config = array();
	if (!$web_config)  sql_return('Err');
	else {

		while ($row = sql_return($web_config,'FetchRow')) {
			$arr_config[$row['config_name']] = $row['config_value'];
		}
	}
	CacheFile($arr_config, $config_path);

	require($config_path);
}



//--------------- DB主体数据库表名全局变量配置 ------------------------------
if (file_exists($dbConfig_path)) 	require($dbConfig_path);
else {
	$sql = "SELECT * FROM ".$db_tablepre."dbconfig ";
	$web_config = sql_return($sql);
	$arr_config = array();
	if (!$web_config) sql_return('Err');
	else {
		while ($row = sql_return($web_config,'FetchRow')) {
			$arr_config[$row['db_name']] = $row['db_value'] ;
		}
	}
	CacheFile($arr_config, $dbConfig_path);

	require($dbConfig_path);
}









?>